Bug 184407 - Update for multimedia/mplayer and mencoder to a new snapshot
Summary: Update for multimedia/mplayer and mencoder to a new snapshot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-01 09:30 UTC by Thomas Zander
Modified: 2013-12-15 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (33.56 KB, patch)
2013-12-01 09:30 UTC, Thomas Zander
no flags Details | Diff
m.diff.txt (48.02 KB, text/plain; charset=US-ASCII)
2013-12-14 21:10 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander 2013-12-01 09:30:00 UTC
Update for multimedia/mplayer and mencoder to a new upstream snapshot.

Fix: Patch for both multimedia/mplayer and multimedia/mencoder ports is attached.

Patch attached with submission follows:
Comment 1 Thomas Zander 2013-12-13 17:35:38 UTC
Any technical reason why this can't be committed?
Comment 2 Thomas Zander 2013-12-14 21:10:01 UTC
As discussed in PM with Thierry, updated patch to accomodate recent
changes to the ports tree.
Should apply cleanly now.

Best regards
Riggs
Comment 3 dfilter service freebsd_committer 2013-12-15 18:51:03 UTC
Author: thierry
Date: Sun Dec 15 18:50:51 2013
New Revision: 336566
URL: http://svnweb.freebsd.org/changeset/ports/336566

Log:
  - Update to 1.1.20131109
  
  - Stagify
  
  Note: options have been modified, please review your config!
  
  PR:		ports/184407
  Submitted by:	Thomas Zander (maintainer)

Added:
  head/multimedia/mplayer/Makefile.optvars   (contents, props changed)
  head/multimedia/mplayer/files/patch-libavutil-x86-asm.h   (contents, props changed)
Deleted:
  head/multimedia/mplayer/files/patch-libavcodec-x86-ac3dsp_init.c
  head/multimedia/mplayer/files/patch-libmpdemux-demux_gif.c
  head/multimedia/mplayer/files/patch-libmpdemux-demux_rtp.cpp
Modified:
  head/multimedia/mencoder/Makefile
  head/multimedia/mencoder/distinfo
  head/multimedia/mencoder/pkg-plist   (contents, props changed)
  head/multimedia/mplayer/Makefile
  head/multimedia/mplayer/Makefile.options
  head/multimedia/mplayer/Makefile.shared
  head/multimedia/mplayer/distinfo
  head/multimedia/mplayer/files/patch-configure
  head/multimedia/mplayer/files/patch-stream-tvi_bsdbt848.c   (contents, props changed)
  head/multimedia/mplayer/pkg-plist   (contents, props changed)

Modified: head/multimedia/mencoder/Makefile
==============================================================================
--- head/multimedia/mencoder/Makefile	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mencoder/Makefile	Sun Dec 15 18:50:51 2013	(r336566)
@@ -3,31 +3,29 @@
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	0
 
 COMMENT=	Convenient video file and movie encoder
 
-NO_STAGE=	yes
 .include "${.CURDIR}/../mplayer/Makefile.shared"
 
-OPTIONS_DEFINE= AMR_NB AMR_WB BLURAY CDIO CDPARANOIA DEBUG DIRAC \
-		DV FAAC FONTCONFIG FRIBIDI GIF GSM IPV6 JACK LADSPA \
-		LIBMNG LIVEMEDIA LZO MAD NAS OCFLAGS OPENAL OPENJPEG \
-		OTCHAIN PULSEAUDIO REAL RTCPU RTMP SCHROEDINGER SMB \
-		THEORA TWOLAME V4L VPX WIN32 X264 XVID
+OPTIONS_DEFINE=	AMR_NB AMR_WB BLURAY CDIO CDPARANOIA DEBUG DIRAC \
+		DV FAAC FONTCONFIG FRIBIDI GIF GSM IPV6 JACK \
+		LADSPA LIBMNG LZO MAD NAS OCFLAGS OPENAL OPENJPEG \
+		OPUS OTCHAIN PULSEAUDIO REAL RTCPU RTMP SCHROEDINGER \
+		SMB THEORA TWOLAME V4L VPX WIN32 X264 XVID
 
 OPTIONS_DEFAULT=GIF IPV6 OCFLAGS RTCPU WIN32 X264 XVID
 
 BLURAY_DESC?=	BluRay support
 LZO_DESC?=	Enable external liblzo library
 OCFLAGS_DESC?=	Use optimized compiler flags
+OPUS_DESC?=	Opus decoding with libopus
 OTCHAIN_DESC?=	Use gcc 4.6+ toolchain on legacy systems
 REAL_DESC?=	Enable realplayer plugin
 RTCPU_DESC?=	Use runtime CPU detection
 WIN32_DESC?=	Install win32 binary codecs
 
-MAN1=		mencoder.1
-
 RESTRICTED=	Port has restricted dependencies
 
 PATCHDIR=	${.CURDIR}/../mplayer/files
@@ -43,9 +41,16 @@ TOOLFILES=	aconvert.sh binary_codecs.sh 
 		subedit.pl subsearch.sh vobshift.py \
 		w32codec_dl.pl wma2ogg.pl
 
-.include <bsd.port.pre.mk>
+USES+=		shebangfix
+SHEBANG_FILES=	TOOLS/calcbpp.pl TOOLS/checktree.sh TOOLS/countquant.pl	\
+		TOOLS/divx2svcd.sh TOOLS/dvd2divxscript.pl TOOLS/mencvcd.sh \
+		TOOLS/mphelp_check.py TOOLS/plotpsnr.pl TOOLS/psnr-video.sh \
+		TOOLS/qepdvcd.sh TOOLS/subedit.pl TOOLS/w32codec_dl.pl \
+		TOOLS/wma2ogg.pl
 
-LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame
+.include "${.CURDIR}/../mplayer/Makefile.optvars"
+.include <bsd.port.options.mk>
+.include <bsd.port.pre.mk>
 
 CONFIGURE_ARGS+=	--disable-mplayer \
 			--disable-libdca \
@@ -65,46 +70,12 @@ CONFIGURE_ARGS+=	--disable-mplayer \
 			--disable-enca \
 			--disable-musepack
 
+LIB_DEPENDS+=	libmp3lame.so:${PORTSDIR}/audio/lame
+
 ALL_TARGET=	mencoder
 
 .include "${.CURDIR}/../mplayer/Makefile.options"
 
-.if ${PORT_OPTIONS:MFONTCONFIG}
-LIB_DEPENDS+=		fontconfig:${PORTSDIR}/x11-fonts/fontconfig
-.else
-CONFIGURE_ARGS+=	--disable-fontconfig
-.endif
-
-.if ${PORT_OPTIONS:MTWOLAME}
-LIB_DEPENDS+=		twolame:${PORTSDIR}/audio/twolame
-.else
-CONFIGURE_ARGS+=	--disable-twolame
-.endif
-
-.if ${PORT_OPTIONS:MFAAC}
-LIB_DEPENDS+=		faac:${PORTSDIR}/audio/faac
-.else
-CONFIGURE_ARGS+=	--disable-faac
-.endif
-
-.if ${PORT_OPTIONS:MX264}
-LIB_DEPENDS+=		x264:${PORTSDIR}/multimedia/x264
-.else
-CONFIGURE_ARGS+=	--disable-x264
-.endif
-
-.if ${PORT_OPTIONS:MXVID}
-LIB_DEPENDS+=		xvidcore:${PORTSDIR}/multimedia/xvid
-.else
-CONFIGURE_ARGS+=	--disable-xvid
-.endif
-
-.if ${PORT_OPTIONS:MDIRAC}
-LIB_DEPENDS+=		dirac_encoder:${PORTSDIR}/multimedia/dirac
-.else
-CONFIGURE_ARGS+=	--disable-libdirac-lavc
-.endif
-
 pre-everything::
 	@${ECHO_MSG} "N - O - T - E"
 	@${ECHO_MSG} ""
@@ -141,20 +112,16 @@ post-patch:
 		 s|/dev/\\:(cdrom[[:alnum:]]*[[:>:]])|${DEFAULT_CDROM_DEVICE:S/dev\//dev\/\\\:/}|g'
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/mencoder ${PREFIX}/bin
+	@${INSTALL_PROGRAM} ${WRKSRC}/mencoder ${STAGEDIR}${PREFIX}/bin
 
 post-install:
-	@${INSTALL_MAN} ${WRKSRC}/DOCS/man/en/mplayer.1 ${MAN1PREFIX}/man/man1/mencoder.1
-	@${MKDIR} ${DATADIR}
-	@${CHMOD} 755 ${DATADIR}
-	@${MKDIR} ${DATADIR}/tools
-	@${CHMOD} 755 ${DATADIR}/tools
+	@${INSTALL_MAN} ${WRKSRC}/DOCS/man/en/mplayer.1 ${STAGEDIR}${MAN1PREFIX}/man/man1/mencoder.1
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	@${CHMOD} 755 ${STAGEDIR}${DATADIR}
+	@${MKDIR} ${STAGEDIR}${DATADIR}/tools
+	@${CHMOD} 755 ${STAGEDIR}${DATADIR}/tools
 .for tool in ${TOOLFILES}
-	@${INSTALL_SCRIPT} ${WRKSRC}/TOOLS/${tool} ${DATADIR}/tools
+	@${INSTALL_SCRIPT} ${WRKSRC}/TOOLS/${tool} ${STAGEDIR}${DATADIR}/tools
 .endfor
 
-.if ${ARCH} == "ia64" || ${ARCH} == "sparc64"
-BROKEN=		Does not detect CPU correctly on ia64 or sparc64
-.endif
-
 .include <bsd.port.post.mk>

Modified: head/multimedia/mencoder/distinfo
==============================================================================
--- head/multimedia/mencoder/distinfo	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mencoder/distinfo	Sun Dec 15 18:50:51 2013	(r336566)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.1.20130308.tar.xz) = 920bd69143d5b867fd0041a99b6302a39ed48ecc1673fe3a051b3abccff17258
-SIZE (mplayer-1.1.20130308.tar.xz) = 10326840
+SHA256 (mplayer-1.1.20131109.tar.xz) = 5647919b61f01396af20273419d5fc74f8b3523177c40e7d1ca063ad45eb13eb
+SIZE (mplayer-1.1.20131109.tar.xz) = 10738036

Modified: head/multimedia/mencoder/pkg-plist
==============================================================================
--- head/multimedia/mencoder/pkg-plist	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mencoder/pkg-plist	Sun Dec 15 18:50:51 2013	(r336566)
@@ -1,4 +1,5 @@
 bin/mencoder
+man/man1/mencoder.1.gz
 %%DATADIR%%/tools/aconvert.sh
 %%DATADIR%%/tools/binary_codecs.sh
 %%DATADIR%%/tools/calcbpp.pl

Modified: head/multimedia/mplayer/Makefile
==============================================================================
--- head/multimedia/mplayer/Makefile	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mplayer/Makefile	Sun Dec 15 18:50:51 2013	(r336566)
@@ -3,17 +3,16 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	0
 
 COMMENT=	High performance media player supporting many formats
 
-NO_STAGE=	yes
 .include "${.CURDIR}/Makefile.shared"
 
 OPTIONS_DEFINE=	AALIB AMR_NB AMR_WB BLURAY CACA DEBUG DV \
 		ENCA ESOUND FRIBIDI GIF GSM GUI IPV6 JACK \
-		JOYSTICK LADSPA LIBMNG LIRC LIVEMEDIA LZO MAD \
-		NAS OCFLAGS OPENAL OPENGL OPENJPEG OTCHAIN \
+		LADSPA LIBMNG LIRC LZO NAS OCFLAGS \
+		OPENAL OPENGL OPENJPEG OPUS OTCHAIN \
 		PULSEAUDIO REAL RTC RTCPU RTMP SCHROEDINGER SDL \
 		SKINS SMB SVGALIB V4L VDPAU WIN32 \
 		X11 X11DGA X11VM XINERAMA XVIDEO XVMC
@@ -26,9 +25,9 @@ OPTIONS_DEFAULT=GUI IPV6 OCFLAGS OPENGL 
 
 BLURAY_DESC?=	BluRay support
 ENCA_DESC?=	Charset conversion via enca
-JOYSTICK_DESC?=	Joystick support
 LZO_DESC?=	External liblzo support
 OCFLAGS_DESC?=	Use optimized compiler flags
+OPUS_DESC?=	Opus decoding with libopus
 OTCHAIN_DESC?=	Use gcc 4.6+ toolchain on legacy systems
 REAL_DESC?=	Enable realplayer plugin
 RTC_DESC?=	Add support for kernel real time clock
@@ -38,24 +37,20 @@ WIN32_DESC?=	Install win32 binary codecs
 X11DGA_DESC?=	X11 DGA video driver support
 X11VM_DESC?=	X11 VidMode support
 
-MAN1=		mplayer.1
-MANCOMPRESSED=	no
+#MANCOMPRESSED=	no
 
 SUB_FILES=	pkg-message
 
 CONFFILES=	example.conf input.conf menu.conf dvb-menu.conf
-USES=		pkgconfig
+USES+=		pkgconfig
 
+.include "${.CURDIR}/Makefile.optvars"
+.include <bsd.port.options.mk>
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "sparc64"
-BROKEN=		Does not compile on sparc64
-.endif
-
 CONFIGURE_ARGS+=	--disable-arts \
 			--disable-directfb \
 			--disable-faac \
-			--disable-faad \
 			--disable-libdca \
 			--disable-toolame \
 			--disable-twolame \
@@ -67,15 +62,9 @@ CONFIGURE_ARGS+=	--disable-arts \
 			--disable-musepack \
 			--disable-theora
 
-# Fix a problem with unknown assembly opcodes in embedded ffmpeg
-.if ${ARCH} == "ppc"
-CONFIGURE_ARGS+=	--disable-asm
-.endif
-
 .include "${.CURDIR}/Makefile.options"
 
 .if ${PORT_OPTIONS:MGUI} && ${PORT_OPTIONS:MX11}
-MLINKS+=	mplayer.1 gmplayer.1
 PLIST_SUB+=	GMPLAYER=""
 DESKTOP_ENTRIES=	"MPlayer" "High performance media player" "mplayer" "gmplayer" "" false
 .if ${PORT_OPTIONS:MSKINS}
@@ -94,7 +83,7 @@ PLIST_SUB+=	GMPLAYER="@comment "
 .endif #GUI && X11
 
 .if ${PORT_OPTIONS:MX11}
-USE_XORG=	x11
+USE_XORG=	x11 xscrnsaver
 .if ${PORT_OPTIONS:MXVIDEO}
 USE_XORG+=	xv
 .else
@@ -130,75 +119,6 @@ CONFIGURE_ARGS+=--disable-x11 \
 		--disable-fontconfig
 .endif
 
-.if ${PORT_OPTIONS:MVDPAU}
-LIB_DEPENDS+=	vdpau:${PORTSDIR}/multimedia/libvdpau
-.else
-CONFIGURE_ARGS+=	--disable-vdpau
-.endif
-
-.if ${PORT_OPTIONS:MRTC}
-BUILD_DEPENDS+=	${LOCALBASE}/modules/rtc.ko:${PORTSDIR}/emulators/rtc
-RUN_DEPENDS+=	${LOCALBASE}/modules/rtc.ko:${PORTSDIR}/emulators/rtc
-CONFIGURE_ARGS+=	--enable-rtc
-.else
-CONFIGURE_ARGS+=	--disable-rtc
-.endif
-
-.if ${PORT_OPTIONS:MCACA}
-LIB_DEPENDS+=		caca:${PORTSDIR}/graphics/libcaca
-.else
-CONFIGURE_ARGS+=	--disable-caca
-.endif
-
-.if ${PORT_OPTIONS:MLIRC}
-LIB_DEPENDS+=		lirc_client:${PORTSDIR}/comms/lirc
-.else
-CONFIGURE_ARGS+=	--disable-lirc
-.endif
-
-.if ${PORT_OPTIONS:MSDL}
-USE_SDL=	sdl
-.else
-CONFIGURE_ARGS+=	--disable-sdl
-.endif
-
-.if ${PORT_OPTIONS:MSVGALIB}
-LIB_DEPENDS+=		vga:${PORTSDIR}/graphics/svgalib
-.else
-CONFIGURE_ARGS+=	--disable-svga
-.endif
-
-.if ${PORT_OPTIONS:MAALIB} || ${PORT_OPTIONS:MSDL}
-LIB_DEPENDS+=		aa:${PORTSDIR}/graphics/aalib
-.else
-CONFIGURE_ARGS+=	--disable-aa
-.endif
-
-.if ${PORT_OPTIONS:MESOUND}
-USE_GNOME+=	esound
-.else
-CONFIGURE_ARGS+=	--disable-esd
-.endif
-
-.if defined(WITH_KERN_HZ)
-DEFAULT_KERN_HZ=${WITH_KERN_HZ}
-.else
-DEFAULT_KERN_HZ=1024
-.endif
-
-.if ${PORT_OPTIONS:MJOYSTICK}
-BUILD_DEPENDS+=	${LOCALBASE}/include/linux/joystick.h:${PORTSDIR}/devel/linux-js
-CONFIGURE_ARGS+=--enable-joystick
-.else
-CONFIGURE_ARGS+=--disable-joystick
-.endif
-
-.if ${PORT_OPTIONS:MENCA}
-LIB_DEPENDS+=		enca:${PORTSDIR}/converters/enca
-.else
-CONFIGURE_ARGS+=	--disable-enca
-.endif
-
 pre-everything::
 	@${ECHO_MSG} "N - O - T - E"
 	@${ECHO_MSG} ""
@@ -248,16 +168,17 @@ post-patch:
 .endif
 
 post-install:
-	@${MKDIR} ${DATADIR}
-	@${CHMOD} 755 ${DATADIR}
-	@${MKDIR} ${DATADIR}/examples/etc
-	@${CHMOD} 755 ${DATADIR}/examples/etc
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	@${CHMOD} 755 ${STAGEDIR}${DATADIR}
+	@${MKDIR} ${STAGEDIR}${DATADIR}/examples/etc
+	@${CHMOD} 755 ${STAGEDIR}${DATADIR}/examples/etc
 .for conf in ${CONFFILES}
-	${INSTALL_DATA} ${WRKSRC}/etc/${conf} ${DATADIR}/examples/etc
+	${INSTALL_DATA} ${WRKSRC}/etc/${conf} ${STAGEDIR}${DATADIR}/examples/etc
 .endfor
 .if ${PORT_OPTIONS:MGUI} && ${PORT_OPTIONS:MX11}
-	@${LN} -sf ${PREFIX}/bin/mplayer ${PREFIX}/bin/gmplayer
-	${CP} -f ${WRKSRC}/etc/mplayer256x256.png ${LOCALBASE}/share/pixmaps/mplayer.png
+	@${LN} -sf ${PREFIX}/bin/mplayer ${STAGEDIR}${PREFIX}/bin/gmplayer
+	@(cd ${STAGEDIR}${MAN1PREFIX}/man/man1 && ${LN} -sf mplayer.1.gz gmplayer.1.gz)
+	${CP} -f ${WRKSRC}/etc/mplayer256x256.png ${STAGEDIR}${LOCALBASE}/share/pixmaps/mplayer.png
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/multimedia/mplayer/Makefile.options
==============================================================================
--- head/multimedia/mplayer/Makefile.options	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mplayer/Makefile.options	Sun Dec 15 18:50:51 2013	(r336566)
@@ -1,5 +1,6 @@
-# Contains the options and dependencies that are shared
-# among mplayer and mencoder
+# Contains non-trivial handling of option variables
+# and build environment. Must be included after
+# bsd.port.pre.mk
 #
 # Some of the knobs are not tunable by the OPTIONS framework. These are
 # explained here in detail.
@@ -27,62 +28,39 @@
 # Enables language support bg, cz, de, dk, en, es, fr, gr, hu, it, ko, nl, no, pl, pt_BR, ro, ru, sk, tr, uk, zh
 #
 
-.if ${OSVERSION} < 802502
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-base_system_log2f
-.endif
+# Non-OPTIONS knob handling
+# =========================
 
 .if defined(WITH_LANG)
 CONFIGURE_ARGS+=--language=${WITH_LANG}
 .endif
 
-#On i386, gcc runs out of general purpose registers when
-#trying to compile a debug version with the default flags.
-.if ${PORT_OPTIONS:MDEBUG}
-.if ${ARCH} == "i386"
-DEBUG_FLAGS=	-g -O -fomit-frame-pointer
-.endif
-.else
-.if ${PORT_OPTIONS:MOCFLAGS}
-CFLAGS+=	-O3 -fomit-frame-pointer -ffast-math
+.if defined(WITH_DVD_DEVICE)
+DEFAULT_DVD_DEVICE=${WITH_DVD_DEVICE}
 .else
-CFLAGS+=	-O -fomit-frame-pointer
-.endif #OCFLAGS
-.endif #DEBUG
-
-#Supported architectures for clang
-.if ${ARCH} == "amd64" || ${ARCH} == "i386"
-MPLAYER_CLANG_SUPPORTED_ARCH=	yes
+DEFAULT_DVD_DEVICE=/dev/cd0
 .endif
 
-.if ${PORT_OPTIONS:MRTCPU}
-CONFIGURE_ARGS+=--enable-runtime-cpudetection
+.if defined(WITH_CDROM_DEVICE)
+DEFAULT_CDROM_DEVICE=${WITH_CDROM_DEVICE}
+.else
+DEFAULT_CDROM_DEVICE=/dev/cd0
 .endif
 
-.if ${OSVERSION} >= 900033 \
-	&& exists(/usr/bin/clang) \
-	&& defined(MPLAYER_CLANG_SUPPORTED_ARCH)
-WITH_BASE_CLANG=yes
+.if defined(WITH_KERN_HZ)
+DEFAULT_KERN_HZ=${WITH_KERN_HZ}
+.else
+DEFAULT_KERN_HZ=1024
 .endif
 
-.if defined(WITH_BASE_CLANG)
-CC=		clang
-CXX=		clang++
-CPP=		clang-cpp
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-clang-version
-.else
-.if ${PORT_OPTIONS:MOTCHAIN}
-USE_GCC?=	yes
-BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
+
+# Non-simplified OPTIONS handling
+# ===============================
+
+.if ${PORT_OPTIONS:MESOUND}
+USE_GNOME+=	esound
 .else
-CONFIGURE_ARGS+=--disable-ssse3 --disable-sse4 --disable-sse42 \
-		--disable-avx --disable-fast-cmov
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-base_system_gcc
-.if ${ARCH} == "amd64"
-BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
-CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
-MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
-.endif
-.endif
+CONFIGURE_ARGS+=	--disable-esd
 .endif
 
 .if ${PORT_OPTIONS:MIPV6}
@@ -91,141 +69,108 @@ CATEGORIES+=	ipv6
 CONFIGURE_ARGS+=	--disable-inet6
 .endif
 
-.if ${PORT_OPTIONS:MGIF}
-LIB_DEPENDS+=		gif:${PORTSDIR}/graphics/giflib
+.if ${PORT_OPTIONS:MOPENAL}
+USE_OPENAL=	soft
 .else
-CONFIGURE_ARGS+=	--disable-gif
+CONFIGURE_ARGS+=	--disable-openal
 .endif
 
-.if ${PORT_OPTIONS:MOPENJPEG}
-LIB_DEPENDS+=		openjpeg:${PORTSDIR}/graphics/openjpeg
+.if ${PORT_OPTIONS:MRTMP}
+LIB_DEPENDS+=		librtmp.so:${PORTSDIR}/multimedia/librtmp
+CONFIGURE_ARGS+=	--enable-librtmp
+EXTRA_LIBS+=		-lrtmp
 .else
-CONFIGURE_ARGS+=	--disable-libopenjpeg
+CONFIGURE_ARGS+=	--disable-librtmp
 .endif
 
-.if ${PORT_OPTIONS:MMAD}
-LIB_DEPENDS+=		mad:${PORTSDIR}/audio/libmad
+.if ${PORT_OPTIONS:MSDL}
+USE_SDL=	sdl
+LIB_DEPENDS+=		libaa.so:${PORTSDIR}/graphics/aalib
 .else
-CONFIGURE_ARGS+=	--disable-mad
+CONFIGURE_ARGS+=	--disable-sdl
 .endif
 
-.if ${PORT_OPTIONS:MDV}
-LIB_DEPENDS+=		dv:${PORTSDIR}/multimedia/libdv
+.if ${PORT_OPTIONS:MV4L}
+BUILD_DEPENDS+=		${LOCALBASE}/include/linux/videodev2.h:${PORTSDIR}/multimedia/v4l_compat
+LIB_DEPENDS+=		libv4l2.so:${PORTSDIR}/multimedia/libv4l
+CONFIGURE_ARGS+=	--enable-tv-v4l1 \
+			--enable-tv-v4l2
+EXTRA_LIBS+=		-lv4l1 -lv4l2
 .else
-CONFIGURE_ARGS+=	--disable-libdv
+CONFIGURE_ARGS+=	--disable-tv-v4l1 \
+			--disable-tv-v4l2
 .endif
 
-.if ${PORT_OPTIONS:MTHEORA}
-LIB_DEPENDS+=		theora:${PORTSDIR}/multimedia/libtheora
-.else
-CONFIGURE_ARGS+=	--disable-theora
-.endif
 
-.if ${PORT_OPTIONS:MVPX}
-LIB_DEPENDS+=		vpx:${PORTSDIR}/multimedia/libvpx
-.else
-CONFIGURE_ARGS+=	--disable-libvpx-lavc
-.endif
+# Build system handling (including OPTIONS)
+# =========================================
 
-.if ${PORT_OPTIONS:MSCHROEDINGER}
-LIB_DEPENDS+=		schroedinger-1.0.11:${PORTSDIR}/multimedia/schroedinger
-.else
-CONFIGURE_ARGS+=	--disable-libschroedinger-lavc
+.if ${OSVERSION} < 802502
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-base_system_log2f
 .endif
 
-.if ${PORT_OPTIONS:MLIVEMEDIA}
-CONFIGURE_ARGS+=	--enable-live
-LIB_DEPENDS+=		libliveMedia.so:${PORTSDIR}/net/liveMedia
-CFLAGS+=		-I${LOCALBASE}/include/liveMedia	\
-			-I${LOCALBASE}/include/UsageEnvironment	\
-			-I${LOCALBASE}/include/groupsock	\
-			-I${LOCALBASE}/include/BasicUsageEnvironment
-LDFLAGS+=		-L${LOCALBASE}/lib	\
-			-lliveMedia \
-			-lUsageEnvironment \
-			-lBasicUsageEnvironment \
-			-lgroupsock \
-			-lstdc++
-.else
-CONFIGURE_ARGS+=	--disable-live
+#On i386, gcc runs out of general purpose registers when
+#trying to compile a debug version with the default flags.
+.if ${PORT_OPTIONS:MDEBUG}
+.if ${ARCH} == "i386"
+DEBUG_FLAGS=	-g -O -fomit-frame-pointer
 .endif
-
-.if ${PORT_OPTIONS:MJACK}
-LIB_DEPENDS+=		jack:${PORTSDIR}/audio/jack
 .else
-CONFIGURE_ARGS+=	--disable-jack
-.endif
-
-.if ${PORT_OPTIONS:MNAS}
-LIB_DEPENDS+=		audio:${PORTSDIR}/audio/nas
+.if ${PORT_OPTIONS:MOCFLAGS}
+CFLAGS+=	-O3 -fomit-frame-pointer -ffast-math
 .else
-CONFIGURE_ARGS+=	--disable-nas
-.endif
+CFLAGS+=	-O -fomit-frame-pointer
+.endif #OCFLAGS
+.endif #DEBUG
 
-.if ${PORT_OPTIONS:MOPENAL}
-USE_OPENAL=	soft
-.else
-CONFIGURE_ARGS+=	--disable-openal
+# Supported architectures for clang
+.if ${ARCH} == "amd64" || ${ARCH} == "i386"
+MPLAYER_CLANG_SUPPORTED_ARCH=	yes
 .endif
 
-.if ${PORT_OPTIONS:MPULSEAUDIO}
-LIB_DEPENDS+=		pulse:${PORTSDIR}/audio/pulseaudio
-.else
-CONFIGURE_ARGS+=	--disable-pulse
+# Unsupported architectures for inline assembly
+.if ${ARCH} == "ppc"
+CONFIGURE_ARGS+=	--disable-asm
 .endif
 
-.if ${PORT_OPTIONS:MBLURAY}
-LIB_DEPENDS+=		bluray:${PORTSDIR}/multimedia/libbluray
-.else
-CONFIGURE_ARGS+=	--disable-bluray
+# Unsupported architectures
+.if ${ARCH} == "sparc64"
+BROKEN=		Does not compile on sparc64
 .endif
-
-.if ${PORT_OPTIONS:MSMB}
-LIB_DEPENDS+=		smbclient:${PORTSDIR}/net/samba-libsmbclient
-.else
-CONFIGURE_ARGS+=	--disable-smb
+.if ${ARCH} == "ia64"
+BROKEN=		Does not detect CPU correctly on ia64
 .endif
 
-.if ${PORT_OPTIONS:MFRIBIDI}
-LIB_DEPENDS+=		fribidi:${PORTSDIR}/converters/fribidi
-.else
-CONFIGURE_ARGS+=	--disable-fribidi
-.endif
 
-.if ${PORT_OPTIONS:MCDPARANOIA}
-LIB_DEPENDS+=		cdda_paranoia:${PORTSDIR}/audio/cdparanoia
-.else
-CONFIGURE_ARGS+=	--disable-cdparanoia
+.if ${PORT_OPTIONS:MRTCPU}
+CONFIGURE_ARGS+=--enable-runtime-cpudetection
 .endif
 
-.if ${PORT_OPTIONS:MCDIO}
-LIB_DEPENDS+=		cdio:${PORTSDIR}/sysutils/libcdio
-.else
-CONFIGURE_ARGS+=	--disable-libcdio
+.if ${OSVERSION} >= 900033 \
+	&& exists(/usr/bin/clang) \
+	&& defined(MPLAYER_CLANG_SUPPORTED_ARCH)
+WITH_BASE_CLANG=yes
 .endif
 
-.if ${PORT_OPTIONS:MLADSPA}
-RUN_DEPENDS+=	${LOCALBASE}/lib/ladspa/amp.so:${PORTSDIR}/audio/ladspa
+.if defined(WITH_BASE_CLANG)
+CC=		clang
+CXX=		clang++
+CPP=		clang-cpp
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-clang-version
 .else
-CONFIGURE_ARGS+=	--disable-ladspa
-.endif
-
-.if ${PORT_OPTIONS:MLZO}
-LIB_DEPENDS+=		lzo2:${PORTSDIR}/archivers/lzo2
+.if ${PORT_OPTIONS:MOTCHAIN}
+USE_GCC?=	yes
+BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
 .else
-CONFIGURE_ARGS+=	--disable-liblzo
+CONFIGURE_ARGS+=--disable-ssse3 --disable-sse4 --disable-sse42 \
+		--disable-avx --disable-fast-cmov
+EXTRA_PATCHES+=	${FILESDIR}/extra-patch-base_system_gcc
+.if ${ARCH} == "amd64"
+BUILD_DEPENDS+=	${LOCALBASE}/bin/as:${PORTSDIR}/devel/binutils
+CONFIGURE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
+MAKE_ENV+=	COMPILER_PATH=${LOCALBASE}/bin
 .endif
-
-.if defined(WITH_DVD_DEVICE)
-DEFAULT_DVD_DEVICE=${WITH_DVD_DEVICE}
-.else
-DEFAULT_DVD_DEVICE=/dev/cd0
 .endif
-
-.if defined(WITH_CDROM_DEVICE)
-DEFAULT_CDROM_DEVICE=${WITH_CDROM_DEVICE}
-.else
-DEFAULT_CDROM_DEVICE=/dev/cd0
 .endif
 
 .if ${ARCH} == "i386" || ${ARCH} == "amd64"
@@ -240,57 +185,7 @@ CONFIGURE_ARGS+=	--disable-win32dll \
 .endif
 .endif # ARCH == i386/amd64
 
-.if ${PORT_OPTIONS:MREAL}
-RUN_DEPENDS+=		realplay:${PORTSDIR}/multimedia/linux-realplayer
-BUILD_DEPENDS+=		realplay:${PORTSDIR}/multimedia/linux-realplayer
-.else
-CONFIGURE_ARGS+=	--disable-real
-.endif
-
-.if ${PORT_OPTIONS:MAMR_NB} || ${PORT_OPTIONS:MAMR_WB}
-LIB_DEPENDS+=		opencore-amrnb:${PORTSDIR}/audio/opencore-amr
-.endif
-
-.if !${PORT_OPTIONS:MAMR_NB}
-CONFIGURE_ARGS+=	--disable-libopencore_amrnb
-.endif
-
-.if !${PORT_OPTIONS:MAMR_WB}
-CONFIGURE_ARGS+=	--disable-libopencore_amrwb
-.endif
-
-.if ${PORT_OPTIONS:MGSM}
-LIB_DEPENDS+=		gsm:${PORTSDIR}/audio/gsm
-.else
-CONFIGURE_ARGS+=	--disable-libgsm
-.endif
-
-.if ${PORT_OPTIONS:MV4L}
-BUILD_DEPENDS+=		${LOCALBASE}/include/linux/videodev2.h:${PORTSDIR}/multimedia/v4l_compat
-LIB_DEPENDS+=		v4l2.0:${PORTSDIR}/multimedia/libv4l
-CONFIGURE_ARGS+=	--enable-tv-v4l1 \
-			--enable-tv-v4l2
-EXTRA_LIBS+=		-lv4l1 -lv4l2
-.else
-CONFIGURE_ARGS+=	--disable-tv-v4l1 \
-			--disable-tv-v4l2
-.endif
-
-.if ${PORT_OPTIONS:MRTMP}
-LIB_DEPENDS+=		rtmp:${PORTSDIR}/multimedia/rtmpdump
-CONFIGURE_ARGS+=	--enable-librtmp
-EXTRA_LIBS+=		-lrtmp
-.else
-CONFIGURE_ARGS+=	--disable-librtmp
-.endif
-
-.if ${PORT_OPTIONS:MLIBMNG}
-LIB_DEPENDS+=		mng:${PORTSDIR}/graphics/libmng
-.else
-CONFIGURE_ARGS+=	--disable-mng
-.endif
 
 .if defined(EXTRA_LIBS)
 CONFIGURE_ARGS+=	--extra-libs="${EXTRA_LIBS}"
 .endif
-

Added: head/multimedia/mplayer/Makefile.optvars
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/mplayer/Makefile.optvars	Sun Dec 15 18:50:51 2013	(r336566)
@@ -0,0 +1,110 @@
+# Contains simple option variables that are used
+# before including bsd.port.options.mk
+# in Makefiles
+
+AALIB_LIB_DEPENDS=	libaa.so:${PORTSDIR}/graphics/aalib
+AALIB_CONFIGURE_OFF=	--disable-aa
+
+AMR_NB_LIB_DEPENDS=	libopencore-amrnb.so:${PORTSDIR}/audio/opencore-amr
+AMR_NB_CONFIGURE_OFF=	--disable-libopencore_amrnb
+
+AMR_WB_LIB_DEPENDS=	libopencore-amrwb.so:${PORTSDIR}/audio/opencore-amr
+AMR_WB_CONFIGURE_OFF=	--disable-libopencore_amrwb
+
+BLURAY_LIB_DEPENDS=	libbluray.so:${PORTSDIR}/multimedia/libbluray
+BLURAY_CONFIGURE_OFF=	--disable-bluray
+
+CACA_LIB_DEPENDS=	libcaca.so:${PORTSDIR}/graphics/libcaca
+CACA_CONFIGURE_OFF=	--disable-caca
+
+CDIO_LIB_DEPENDS=	libcdio.so:${PORTSDIR}/sysutils/libcdio
+CDIO_CONFIGURE_OFF=	--disable-libcdio
+
+CDPARANOIA_LIB_DEPENDS=	libcdda_paranoia.so:${PORTSDIR}/audio/cdparanoia
+CDPARANOIA_CONFIGURE_OFF=	--disable-cdparanoia
+
+DIRAC_LIB_DEPENDS=	libdirac_encoder.so:${PORTSDIR}/multimedia/dirac
+DIRAC_CONFIGURE_OFF=	--disable-libdirac-lavc
+
+DV_LIB_DEPENDS=		dv.so:${PORTSDIR}/multimedia/libdv
+DV_CONFIGURE_OFF=	--disable-libdv
+
+ENCA_LIB_DEPENDS=	libenca.so:${PORTSDIR}/converters/enca
+ENCA_CONFIGURE_OFF=		--disable-enca
+
+FAAC_LIB_DEPENDS=	libfaac.so:${PORTSDIR}/audio/faac
+FAAC_CONFIGURE_OFF=	--disable-faac
+
+FONTCONFIG_LIB_DEPENDS=	libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
+FONTCONFIG_CONFIGURE_OFF=	--disable-fontconfig
+
+FRIBIDI_LIB_DEPENDS=	libfribidi.so:${PORTSDIR}/converters/fribidi
+FRIBIDI_CONFIGURE_OFF=	--disable-fribidi
+
+GIF_LIB_DEPENDS=	libgif.so:${PORTSDIR}/graphics/giflib
+GIF_CONFIGURE_OFF=	--disable-gif
+
+GSM_LIB_DEPENDS=	libgsm.so:${PORTSDIR}/audio/gsm
+GSM_CONFIGURE_OFF=	--disable-libgsm
+
+JACK_LIB_DEPENDS=	libjack.so:${PORTSDIR}/audio/jack
+JACK_CONFIGURE_OFF=	--disable-jack
+
+LADSPA_RUN_DEPENDS=	${LOCALBASE}/lib/ladspa/amp.so:${PORTSDIR}/audio/ladspa
+LADSPA_CONFIGURE_OFF=	--disable-ladspa
+
+LIBMNG_LIB_DEPENDS=	libmng.so:${PORTSDIR}/graphics/libmng
+LIBMNG_CONFIGURE_OFF=	--disable-mng
+
+LIRC_LIB_DEPENDS=	liblirc_client.so:${PORTSDIR}/comms/lirc
+LIRC_CONFIGURE_OFF=	--disable-lirc
+
+LZO_LIB_DEPENDS=	liblzo2.so:${PORTSDIR}/archivers/lzo2
+LZO_CONFIGURE_OFF=	--disable-liblzo
+
+NAS_LIB_DEPENDS=	libaudio.so:${PORTSDIR}/audio/nas
+NAS_CONFIGURE_OFF=	--disable-nas
+
+OPENJPEG_LIB_DEPENDS=	libopenjpeg.so:${PORTSDIR}/graphics/openjpeg
+OPENJPEG_CONFIGURE_OFF=	--disable-libopenjpeg
+
+OPUS_LIB_DEPENDS=	libopus.so:${PORTSDIR}/audio/opus
+OPUS_CONFIGURE_OFF=	--disable-libopus
+
+PULSEAUDIO_LIB_DEPENDS=	libpulse.so:${PORTSDIR}/audio/pulseaudio
+PULSEAUDIO_CONFIGURE_OFF=	--disable-pulse
+
+REAL_RUN_DEPENDS=	realplay:${PORTSDIR}/multimedia/linux-realplayer
+REAL_BUILD_DEPENDS=	realplay:${PORTSDIR}/multimedia/linux-realplayer
+REAL_CONFIGURE_OFF=	--disable-real
+
+RTC_BUILD_DEPENDS=	${LOCALBASE}/modules/rtc.ko:${PORTSDIR}/emulators/rtc
+RTC_RUN_DEPENDS=	${LOCALBASE}/modules/rtc.ko:${PORTSDIR}/emulators/rtc
+RTC_CONFIGURE_ENABLE=	rtc
+
+SCHROEDINGER_LIB_DEPENDS=	libschroedinger-1.0.so:${PORTSDIR}/multimedia/schroedinger
+SCHROEDINGER_CONFIGURE_OFF=	--disable-libschroedinger-lavc
+
+SMB_LIB_DEPENDS=	libsmbclient.so:${PORTSDIR}/net/samba-libsmbclient
+SMB_CONFIGURE_OFF=	--disable-smb
+
+SVGALIB_LIB_DEPENDS=	libvga.so:${PORTSDIR}/graphics/svgalib
+SVGALIB_CONFIGURE_OFF=	--disable-svga
+
+THEORA_LIB_DEPENDS=	libtheora.so:${PORTSDIR}/multimedia/libtheora
+THEORA_CONFIGURE_OFF=	--disable-theora
+
+TWOLAME_LIB_DEPENDS=	libtwolame.so:${PORTSDIR}/audio/twolame
+TWOLAME_CONFIGURE_OFF=	--disable-twolame
+
+VDPAU_LIB_DEPENDS=	libvdpau.so:${PORTSDIR}/multimedia/libvdpau
+VDPAU_CONFIGURE_OFF=	--disable-vdpau
+
+VPX_LIB_DEPENDS=	libvpx.so:${PORTSDIR}/multimedia/libvpx
+VPX_CONFIGURE_OFF=	--disable-libvpx-lavc
+
+X264_LIB_DEPENDS=	libx264.so:${PORTSDIR}/multimedia/x264
+X264_CONFIGURE_OFF=	--disable-x264
+
+XVID_LIB_DEPENDS=	libxvidcore.so:${PORTSDIR}/multimedia/xvid
+XVID_CONFIGURE_OFF=	--disable-xvid

Modified: head/multimedia/mplayer/Makefile.shared
==============================================================================
--- head/multimedia/mplayer/Makefile.shared	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mplayer/Makefile.shared	Sun Dec 15 18:50:51 2013	(r336566)
@@ -4,7 +4,7 @@
 #
 # $FreeBSD$
 
-MPLAYER_SNAPSHOT_DATE=	2013-03-08
+MPLAYER_SNAPSHOT_DATE=	2013-11-09
 MPLAYER_PORT_VERSION=	1.1.r${MPLAYER_SNAPSHOT_DATE:S/-//g}
 CATEGORIES?=	multimedia audio
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
@@ -17,14 +17,13 @@ MAINTAINER?=	thomas.e.zander@googlemail.
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		freetype:${PORTSDIR}/print/freetype2
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libfreetype.so:${PORTSDIR}/print/freetype2
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/yasm:${PORTSDIR}/devel/yasm
 
-USES=		iconv ncurses
+USES=		gmake iconv ncurses
 USE_XZ=		yes
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
 		PTHREAD_LIBS="${PTHREAD_LIBS}" \
@@ -34,16 +33,22 @@ CONFIGURE_ARGS=	--cc="${CC}" \
 		--as="${AS}" \
 		--extra-cflags="-I${PREFIX}/include -I${LOCALBASE}/include" \
 		--extra-libs="-L${PREFIX}/lib" \
+		--disable-alsa \
 		--disable-bitmap-font \
+		--disable-crystalhd \
+		--disable-faad \
 		--disable-liba52 \
-		--disable-alsa \
 		--disable-libbs2b \
-		--disable-mp3lib \
-		--enable-ass-internal \
+		--disable-libilbc \
+		--disable-libnut \
 		--disable-libvorbis \
+		--disable-live \
+		--disable-joystick \
+		--disable-mad \
+		--disable-mp3lib \
+		--disable-nemesi \
 		--disable-speex \
-		--disable-libopus \
-		--disable-libilbc
+		--enable-ass-internal
 
 WANT_GNOME=	yes
 WANT_SDL=	yes

Modified: head/multimedia/mplayer/distinfo
==============================================================================
--- head/multimedia/mplayer/distinfo	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mplayer/distinfo	Sun Dec 15 18:50:51 2013	(r336566)
@@ -1,2 +1,2 @@
-SHA256 (mplayer-1.1.20130308.tar.xz) = 920bd69143d5b867fd0041a99b6302a39ed48ecc1673fe3a051b3abccff17258
-SIZE (mplayer-1.1.20130308.tar.xz) = 10326840
+SHA256 (mplayer-1.1.20131109.tar.xz) = 5647919b61f01396af20273419d5fc74f8b3523177c40e7d1ca063ad45eb13eb
+SIZE (mplayer-1.1.20131109.tar.xz) = 10738036

Modified: head/multimedia/mplayer/files/patch-configure
==============================================================================
--- head/multimedia/mplayer/files/patch-configure	Sun Dec 15 18:49:15 2013	(r336565)
+++ head/multimedia/mplayer/files/patch-configure	Sun Dec 15 18:50:51 2013	(r336566)
@@ -1,6 +1,6 @@
---- configure.orig	2013-11-16 23:28:21.000000000 +0100
-+++ configure	2013-11-16 23:36:32.000000000 +0100
-@@ -668,7 +668,7 @@
+--- configure.orig	2013-11-08 17:59:55.000000000 +0100
++++ configure	2013-11-09 14:34:53.996868923 +0100
+@@ -640,7 +640,7 @@
  _iwmmxt=auto
  _mtrr=auto
  _altivec=auto
@@ -9,7 +9,7 @@
  _ranlib=ranlib
  _windres=windres
  _cc=cc
-@@ -1534,7 +1534,6 @@
+@@ -1452,7 +1452,6 @@
  
    *)
      echo "Unknown parameter: $ac_option"
@@ -17,17 +17,8 @@
      ;;
  
    esac
-@@ -1592,7 +1591,7 @@
-   esac
-   echores "$cc_version"
- else
--  for _cc in "$_cc" gcc cc ; do
-+  for _cc in "$_cc" clang cc ; do
-     cc_name_tmp=$($_cc -v 2>&1 | tail -n 1 | cut -d ' ' -f 1)
-     if test "$cc_name_tmp" = "gcc"; then
-       cc_name=$cc_name_tmp
-@@ -1669,7 +1668,7 @@
-   case "$(uname -m 2>&1)" in
+@@ -1689,7 +1688,7 @@
+   case "$1" in
        x86_64|amd64|i[3-9]86*|i86pc|x86|x86pc|k5|k6|k6_2|k6_3|k6-2|k6-3|pentium*|athlon*|i586_i686|i586-i686) host_arch=i386 ;;
        ia64) host_arch=ia64 ;;
 -      macppc|ppc*|Power*) host_arch=ppc ;;
@@ -35,155 +26,7 @@
        alpha) host_arch=alpha ;;
        sun4*|sparc*) host_arch=sparc ;;
        parisc*|hppa*|9000*) host_arch=hppa ;;
-@@ -1709,6 +1708,7 @@
- fi
- 
- extra_cflags="-I. -Iffmpeg $extra_cflags"
-+extra_ldflags="$extra_ldflags -L$_prefix/lib"
- _timer=timer-linux.c
- _getch=getch2.c
- 
-@@ -1945,7 +1945,7 @@
-   if test "$_gcc3_ext" != ""; then
-     # If we had to disable SSE/SSE2 because the active kernel does not
-     # support this instruction set extension, we also have to tell
--    # gcc3 to not generate SSE/SSE2 instructions for normal C code.
-+    # clang to not generate SSE/SSE2 instructions for normal C code.
-     cflag_check $_march $_gcc3_ext && _march="$_march $_gcc3_ext"
-   fi
- 
-@@ -1996,15 +1996,15 @@
-         # AMD CPUs just from their signature. Instead, we check directly
-         # whether it supports SSE.
-         if test "$_sse" = yes; then
--            # gcc treats athlon-xp, athlon-4 and athlon-mp similarly.
-+            # clang treats athlon-xp, athlon-4 and athlon-mp similarly.
-             proc=athlon-xp
-         else
--            # Again, gcc treats athlon and athlon-tbird similarly.
-+            # Again, clang treats athlon and athlon-tbird similarly.
-             proc=athlon
-         fi
-         ;;
-     15) iproc=686
--        # k8 CPU type only supported in gcc >= 3.4.0, but that will be
-+        # k8 CPU type only supported in clang >= 3.4.0, but that will be
-         # caught and remedied in the optimization tests below.
-         proc=k8
-         ;;
-@@ -2090,11 +2090,11 @@
-   fi # test "$_runtime_cpudetection" = no
- 
- 
--    # check that gcc supports our CPU, if not, fall back to earlier ones
-+    # check that clang supports our CPU, if not, fall back to earlier ones
-     # LGB: check -mcpu and -march swithing step by step with enabling
-     # to fall back till 386.
- 
--    # gcc >= 3.4.0  doesn't support -mcpu, we have to use -mtune instead
-+    # clang >= 3.4.0  doesn't support -mcpu, we have to use -mtune instead
- 
-     if [ "$cc_vendor" = "gnu" ] && ([ "$_cc_major" -gt 3 ] || ( [ "$_cc_major" = 3 ] && [ "$_cc_minor" -ge 4 ])) ; then
-         cpuopt=-mtune
-@@ -2224,7 +2224,7 @@
-     def_fast_64bit='#define HAVE_FAST_64BIT 1'
-     iproc='x86_64'
- 
--    # gcc >= 3.4.0  doesn't support -mcpu, we have to use -mtune instead
-+    # clang >= 3.4.0  doesn't support -mcpu, we have to use -mtune instead
-     if test "$cc_vendor" = "gnu" && test "$_cc_major" -gt 3 -o "$_cc_major" -eq 3 -a "$_cc_minor" -ge 4 ; then
-         cpuopt=-mtune
-     else
-@@ -2280,7 +2280,7 @@
-       if test "$proc" = "k8"; then
-         cflag_check -march=$proc $cpuopt=$proc || proc=athlon-xp
-       fi
--      # This will fail if gcc version < 3.3, which is OK because earlier
-+      # This will fail if clang version < 3.3, which is OK because earlier
-       # versions don't really support 64-bit on amd64.
-       # Is this a valid assumption? -Corey
-       if test "$proc" = "athlon-xp"; then
-@@ -2400,7 +2400,7 @@
-         fi
-         ;;
-       NetBSD)
--        # only gcc 3.4 works reliably with AltiVec code under NetBSD
-+        # only clang 3.4 works reliably with AltiVec code under NetBSD
-         case $cc_version in
-             2*|3.0*|3.1*|3.2*|3.3*)
-                 ;;

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Thierry Thomas freebsd_committer 2014-06-01 08:04:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 5 Thierry Thomas freebsd_committer 2014-06-01 08:04:29 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Remark: I fixed some shebangs for mencoder's tools.